Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jet.cs.util
Enum APIEnums.PrincipalType

    java.lang.Object
      java.lang.Enum<APIEnums.PrincipalType>
          jet.cs.util.APIEnums.PrincipalType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<APIEnums.PrincipalType>

Enclosing class:
  APIEnums

    public static enum APIEnums.PrincipalType

extends java.lang.Enum<APIEnums.PrincipalType>

The Principal type.

Enum Constant Summary
`COMMON`
`GROUP`
`ROLE`
`USER`

Method Summary
`static APIEnums.PrincipalType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static APIEnums.PrincipalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER

    public static final APIEnums.PrincipalType USER

### GROUP

    public static final APIEnums.PrincipalType GROUP

### ROLE

    public static final APIEnums.PrincipalType ROLE

### COMMON

    public static final APIEnums.PrincipalType COMMON

Method Detail

### values

    public static APIEnums.PrincipalType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (APIEnums.PrincipalType c : APIEnums.PrincipalType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static APIEnums.PrincipalType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD